:root {
  --font-serif: 'Times New Roman', serif;
  --font-sans: 'Verdana', sans-serif;

  --color-white: #fff;

  --color-primary: #FFE162;
  --color-error: #FF6464;
  --color-success: #91C483;
  --color-text: #202020;
  --color-bg: #EEEEEE;

  --padding-lg: 1.5rem;
  --padding-md: 1rem;
  --padding-sm: 0.5rem;
  --padding-xs: 0.25rem;

  --text-xxl: 2rem;
  --text-xl: 1.6rem;
  --text-lg: 1.2rem;
  --text-md: 1rem;
  --text-sm: 0.875rem;
  --text-xs: 0.75rem;
  --text-xxs: 0.625rem;
}

*, *:before, *:after{
  box-sizing: border-box;
}

*::selection {
  background-color: var(--color-error);
  color: var(--color-white);
}

html {
  font-family: var(--font-sans);
  font-size: 1rem;
  color: var(--color-text);
}

body {
  background: var(--color-bg);
  margin: 0;
  padding: 0;
}

.container {
  margin-left: auto;
  margin-right: auto;
  max-width: 970px;
  padding-left: var(--padding-md);
  padding-right: var(--padding-md);
}

.article {
  font-family: var(--font-serif);
  font-size: var(--text-lg);
  padding-top: var(--padding-md);
  padding-bottom: var(--padding-lg);

  h1 {
    font-size: var(--text-xxl);
  }

  h2 {
    font-size: var(--text-xl);
  }

  h3 {
    font-size: var(--text-lg);
  }

  p {
    line-height: 1.5;
  }

  a {
    color: var(--color-error);
  }

  li {
    line-height: 1.5;
  }

  li + li {
    margin-top: var(--padding-sm);
  }

  code {
    font-size: .85em;
    padding: 0.15rem 0.35rem;
    background-color: rgba(27,31,35,.05);
    color: #476582;
    border-radius: 3px;
  }
}